<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports.css" rel="stylesheet" />
    <script type="text/javascript" src="jquery-3.4.1.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>
    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <br/>
      <span class="top-banner-font-1">1 suite</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" title="Collapse/expand all the suites" class="collapse-all-link">
          <img src="collapseall.gif" class="collapse-all-icon">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" panel-name="suite-SmokeTestSuite" class="navigator-link">
              <span class="suite-name border-passed">SmokeTestSuite</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" panel-name="test-xml-SmokeTestSuite" class="navigator-link ">
                    <span>ParallelExecution.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="testlist-SmokeTestSuite" class="navigator-link ">
                    <span class="test-stats">4 tests</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="group-SmokeTestSuite" class="navigator-link ">
                    <span>0 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="times-SmokeTestSuite" class="navigator-link ">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="reporter-SmokeTestSuite" class="navigator-link ">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="ignored-methods-SmokeTestSuite" class="navigator-link ">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="chronological-SmokeTestSuite" class="navigator-link ">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">8 methods,   8 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-SmokeTestSuite" class="hide-methods passed suite-SmokeTestSuite"> (hide)</a> <!-- hide-methods passed suite-SmokeTestSuite -->
                      <a href="#" panel-name="suite-SmokeTestSuite" class="show-methods passed suite-SmokeTestSuite"> (show)</a> <!-- show-methods passed suite-SmokeTestSuite -->
                    </span>
                    <div class="method-list-content passed suite-SmokeTestSuite">
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-SmokeTestSuite" title="tests.HomePageTest2D" class="method navigator-link" hash-for-method="verifyLogo">verifyLogo</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-SmokeTestSuite" title="tests.HomePageTest2D" class="method navigator-link" hash-for-method="verifyLogo">verifyLogo</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-SmokeTestSuite" title="tests.HomePageTest2D" class="method navigator-link" hash-for-method="verifyLogo">verifyLogo</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-SmokeTestSuite" title="tests.HomePageTest2D" class="method navigator-link" hash-for-method="verifyLogo">verifyLogo</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-SmokeTestSuite" title="tests.HomePageTest2D" class="method navigator-link" hash-for-method="verifyTitle">verifyTitle</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-SmokeTestSuite" title="tests.HomePageTest2D" class="method navigator-link" hash-for-method="verifyTitle">verifyTitle</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-SmokeTestSuite" title="tests.HomePageTest2D" class="method navigator-link" hash-for-method="verifyTitle">verifyTitle</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-SmokeTestSuite" title="tests.HomePageTest2D" class="method navigator-link" hash-for-method="verifyTitle">verifyTitle</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-SmokeTestSuite -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-SmokeTestSuite" class="panel SmokeTestSuite">
          <div class="suite-SmokeTestSuite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">tests.HomePageTest2D</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="verifyLogo">
                  </a> <!-- verifyLogo -->
                  <span class="method-name">verifyLogo</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="verifyLogo">
                  </a> <!-- verifyLogo -->
                  <span class="method-name">verifyLogo</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="verifyLogo">
                  </a> <!-- verifyLogo -->
                  <span class="method-name">verifyLogo</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="verifyLogo">
                  </a> <!-- verifyLogo -->
                  <span class="method-name">verifyLogo</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="verifyTitle">
                  </a> <!-- verifyTitle -->
                  <span class="method-name">verifyTitle</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="verifyTitle">
                  </a> <!-- verifyTitle -->
                  <span class="method-name">verifyTitle</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="verifyTitle">
                  </a> <!-- verifyTitle -->
                  <span class="method-name">verifyTitle</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="verifyTitle">
                  </a> <!-- verifyTitle -->
                  <span class="method-name">verifyTitle</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-SmokeTestSuite-class-passed -->
        </div> <!-- panel SmokeTestSuite -->
        <div panel-name="test-xml-SmokeTestSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">/Users/ashimnayak/eclipse-workspace/testng_maven_automationframwork/ParallelExecution.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;https://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite thread-count=&quot;8&quot; parallel=&quot;classes&quot; name=&quot;SmokeTestSuite&quot; guice-stage=&quot;DEVELOPMENT&quot;&gt;
  &lt;listeners&gt;
    &lt;listener class-name=&quot;util.ExtentReportListener&quot;/&gt;
  &lt;/listeners&gt;
  &lt;test thread-count=&quot;8&quot; parallel=&quot;classes&quot; name=&quot;safari Test&quot;&gt;
    &lt;parameter name=&quot;BrowserType&quot; value=&quot;safari&quot;/&gt;
    &lt;classes&gt;
      &lt;class name=&quot;tests.HomePageTest2D&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- safari Test --&gt;
  &lt;test thread-count=&quot;8&quot; parallel=&quot;classes&quot; name=&quot;chrome Test&quot;&gt;
    &lt;parameter name=&quot;BrowserType&quot; value=&quot;chrome&quot;/&gt;
    &lt;classes&gt;
      &lt;class name=&quot;tests.HomePageTest2D&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- chrome Test --&gt;
  &lt;test thread-count=&quot;8&quot; parallel=&quot;classes&quot; name=&quot;firefox Test&quot;&gt;
    &lt;parameter name=&quot;BrowserType&quot; value=&quot;firefox&quot;/&gt;
    &lt;classes&gt;
      &lt;class name=&quot;tests.HomePageTest2D&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- firefox Test --&gt;
  &lt;test thread-count=&quot;8&quot; parallel=&quot;classes&quot; name=&quot;edge Test&quot;&gt;
    &lt;parameter name=&quot;BrowserType&quot; value=&quot;edge&quot;/&gt;
    &lt;classes&gt;
      &lt;class name=&quot;tests.HomePageTest2D&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- edge Test --&gt;
&lt;/suite&gt; &lt;!-- SmokeTestSuite --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-SmokeTestSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for SmokeTestSuite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">safari Test (1 class)</span>
              </li>
              <li>
                <span class="test-name">chrome Test (1 class)</span>
              </li>
              <li>
                <span class="test-name">firefox Test (1 class)</span>
              </li>
              <li>
                <span class="test-name">edge Test (1 class)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-SmokeTestSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for SmokeTestSuite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-SmokeTestSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for SmokeTestSuite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_SmokeTestSuite');
function tableData_SmokeTestSuite() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(8);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'verifyTitle')
data.setCell(0, 2, 'tests.HomePageTest2D')
data.setCell(0, 3, 1048);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'verifyTitle')
data.setCell(1, 2, 'tests.HomePageTest2D')
data.setCell(1, 3, 1034);
data.setCell(2, 0, 2)
data.setCell(2, 1, 'verifyTitle')
data.setCell(2, 2, 'tests.HomePageTest2D')
data.setCell(2, 3, 1033);
data.setCell(3, 0, 3)
data.setCell(3, 1, 'verifyTitle')
data.setCell(3, 2, 'tests.HomePageTest2D')
data.setCell(3, 3, 1027);
data.setCell(4, 0, 4)
data.setCell(4, 1, 'verifyLogo')
data.setCell(4, 2, 'tests.HomePageTest2D')
data.setCell(4, 3, 50);
data.setCell(5, 0, 5)
data.setCell(5, 1, 'verifyLogo')
data.setCell(5, 2, 'tests.HomePageTest2D')
data.setCell(5, 3, 49);
data.setCell(6, 0, 6)
data.setCell(6, 1, 'verifyLogo')
data.setCell(6, 2, 'tests.HomePageTest2D')
data.setCell(6, 3, 45);
data.setCell(7, 0, 7)
data.setCell(7, 1, 'verifyLogo')
data.setCell(7, 2, 'tests.HomePageTest2D')
data.setCell(7, 3, 41);
window.suiteTableData['SmokeTestSuite']= { tableData: data, tableDiv: 'times-div-SmokeTestSuite'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 4 seconds</span>
              <div id="times-div-SmokeTestSuite">
              </div> <!-- times-div-SmokeTestSuite -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-SmokeTestSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for SmokeTestSuite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-SmokeTestSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-SmokeTestSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">tests.HomePageTest2D</div> <!-- chronological-class-name -->
              <div class="configuration-class before">
                <span class="method-name">setup(org.testng.TestRunner@5829e4f4, safari)</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-class before -->
              <div class="test-method">
                <span class="method-name">verifyTitle</span>
                <span class="method-start">44305 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">verifyLogo</span>
                <span class="method-start">45344 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-class after">
                <span class="method-name">tearDown</span>
                <span class="method-start">45389 ms</span>
              </div> <!-- configuration-class after -->
              <div class="configuration-class before">
                <span class="method-name">setup(org.testng.TestRunner@1b2c4efb, chrome)</span>
                <span class="method-start">45523 ms</span>
              </div> <!-- configuration-class before -->
              <div class="test-method">
                <span class="method-name">verifyTitle</span>
                <span class="method-start">119983 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">verifyLogo</span>
                <span class="method-start">121014 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-class after">
                <span class="method-name">tearDown</span>
                <span class="method-start">121060 ms</span>
              </div> <!-- configuration-class after -->
              <div class="configuration-class before">
                <span class="method-name">setup(org.testng.TestRunner@c35172e, firefox)</span>
                <span class="method-start">121201 ms</span>
              </div> <!-- configuration-class before -->
              <div class="test-method">
                <span class="method-name">verifyTitle</span>
                <span class="method-start">185422 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">verifyLogo</span>
                <span class="method-start">186460 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-class after">
                <span class="method-name">tearDown</span>
                <span class="method-start">186512 ms</span>
              </div> <!-- configuration-class after -->
              <div class="configuration-class before">
                <span class="method-name">setup(org.testng.TestRunner@c2db68f, edge)</span>
                <span class="method-start">186630 ms</span>
              </div> <!-- configuration-class before -->
              <div class="test-method">
                <span class="method-name">verifyTitle</span>
                <span class="method-start">245774 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">verifyLogo</span>
                <span class="method-start">246824 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-class after">
                <span class="method-name">tearDown</span>
                <span class="method-start">246875 ms</span>
              </div> <!-- configuration-class after -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
</html>
